org.eclipse.viatra.cep.core.metamodels.events

## Interface EventPatternReference

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    EventPatternReferenceImpl

      public interface EventPatternReference
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Event Pattern Reference'.

  The following features are supported:

  - `Event Pattern`
  - `Multiplicity`
  - `Parameter Symbolic Names`
  See Also:
    `EventsPackage.getEventPatternReference()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventPattern` | `getEventPattern()` Returns the value of the 'Event Pattern' containment reference.
    `AbstractMultiplicity` | `getMultiplicity()` Returns the value of the 'Multiplicity' containment reference.
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getParameterSymbolicNames()` Returns the value of the 'Parameter Symbolic Names' attribute list.
    `void` | `setEventPattern(EventPattern value)` Sets the value of the '`Event Pattern`' containment reference.
    `void` | `setMultiplicity(AbstractMultiplicity value)` Sets the value of the '`Multiplicity`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEventPattern

          EventPattern getEventPattern()

      Returns the value of the 'Event Pattern' containment reference.

      If the meaning of the 'Event Pattern' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Pattern' containment reference.
      See Also:
        `setEventPattern(EventPattern)`, `EventsPackage.getEventPatternReference_EventPattern()`
      Generated:
      Model:
        containment="true" required="true"

    - #### setEventPattern

          void setEventPattern(EventPattern value)

      Sets the value of the '`Event Pattern`' containment reference.
      Parameters:
        `value` - the new value of the 'Event Pattern' containment reference.
      See Also:
        `getEventPattern()`
      Generated:

    - #### getMultiplicity

          AbstractMultiplicity getMultiplicity()

      Returns the value of the 'Multiplicity' containment reference.

      If the meaning of the 'Multiplicity' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Multiplicity' containment reference.
      See Also:
        `setMultiplicity(AbstractMultiplicity)`, `EventsPackage.getEventPatternReference_Multiplicity()`
      Generated:
      Model:
        containment="true" required="true"

    - #### setMultiplicity

          void setMultiplicity(AbstractMultiplicity value)

      Sets the value of the '`Multiplicity`' containment reference.
      Parameters:
        `value` - the new value of the 'Multiplicity' containment reference.
      See Also:
        `getMultiplicity()`
      Generated:

    - #### getParameterSymbolicNames

          org.eclipse.emf.common.util.EList<java.lang.String> getParameterSymbolicNames()

      Returns the value of the 'Parameter Symbolic Names' attribute list. The list contents are of type `String`.

      If the meaning of the 'Parameter Symbolic Names' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameter Symbolic Names' attribute list.
      See Also:
        `EventsPackage.getEventPatternReference_ParameterSymbolicNames()`
      Generated:
      Model: